List skills
List active skills in the catalog, including built-in skills. Filter by a case-insensitive `query` that matches the skill ID or description. Use `GET /api/public/v1/skills/{skill_id}` for skill files.
Base URL
GET
List active skills in the catalog, including built-in skills. Filter by a case-insensitive query that matches the skill ID or description. Use GET /api/public/v1/skills/{skill_id} for skill files.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
query?stringOptional text to match against skill IDs and descriptions.
limit?integerMaximum number of skills to return.
Format
int32Range
1 <= value <= 100Default
20Matching skills
application/json- response
data*array<>curl -X GET 'https://your-org.inspect.com/api/public/v1/skills'Example Response
{ "data": [ { "id": "string", "url": "http://example.com", "description": "string" } ]}